org.eclipse.net4j.util.ui.dnd

## Class DNDTransfer<TYPE>

- java.lang.Object
- - org.eclipse.swt.dnd.Transfer
  - - org.eclipse.swt.dnd.ByteArrayTransfer
    - - org.eclipse.net4j.util.ui.dnd.DNDTransfer<TYPE>

-     public abstract class DNDTransfer<TYPE>
      extends ByteArrayTransfer

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DNDTransfer(java.lang.String typeName)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int[]` | `getTypeIds()`
    `protected java.lang.String[]` | `getTypeNames()`
    `protected void` | `javaToNative(java.lang.Object object, TransferData transferData)`
    `protected java.lang.Object` | `nativeToJava(TransferData transferData)`
    `protected abstract TYPE` | `readObject(ExtendedDataInputStream in)`
    `protected abstract void` | `writeObject(ExtendedDataOutputStream out, TYPE object)`

    - ### Methods inherited from class org.eclipse.swt.dnd.ByteArrayTransfer

      `getSupportedTypes, isSupportedType`

    - ### Methods inherited from class org.eclipse.swt.dnd.Transfer

      `registerType, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DNDTransfer

          protected DNDTransfer(java.lang.String typeName)

  - ### Method Detail

    - #### getTypeIds

          protected int[] getTypeIds()

      Specified by:
        `getTypeIds` in class `Transfer`

    - #### getTypeNames

          protected java.lang.String[] getTypeNames()

      Specified by:
        `getTypeNames` in class `Transfer`

    - #### javaToNative

          protected void javaToNative(java.lang.Object object,
                                      TransferData transferData)

      Overrides:
        `javaToNative` in class `ByteArrayTransfer`

    - #### nativeToJava

          protected java.lang.Object nativeToJava(TransferData transferData)

      Overrides:
        `nativeToJava` in class `ByteArrayTransfer`

    - #### writeObject

          protected abstract void writeObject(ExtendedDataOutputStream out,
                                              TYPE object)
                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### readObject

          protected abstract TYPE readObject(ExtendedDataInputStream in)
                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html